Skip to content

List invoices

GET
/v1/invoices
curl --request GET \
--url 'https://api.vocapable.com/v1/invoices?limit=50' \
--header 'Authorization: Bearer <token>'
limit
Limit
integer
default: 50 >= 1 <= 200
cursor
Any of:
string
created_at
Any of:
string

Filter on created_at. Comma-separated values are OR.

created_at.gte
Any of:
string

Filter on created_at with the gte operator.

created_at.lte
Any of:
string

Filter on created_at with the lte operator.

created_at.gt
Any of:
string

Filter on created_at with the gt operator.

created_at.lt
Any of:
string

Filter on created_at with the lt operator.

created_at.in
Any of:
string

Filter on created_at with the in operator.

period_start
Any of:
string

Filter on period_start. Comma-separated values are OR.

period_start.gte
Any of:
string

Filter on period_start with the gte operator.

period_start.lte
Any of:
string

Filter on period_start with the lte operator.

period_start.gt
Any of:
string

Filter on period_start with the gt operator.

period_start.lt
Any of:
string

Filter on period_start with the lt operator.

period_start.in
Any of:
string

Filter on period_start with the in operator.

status
Any of:
string

Filter on status. Comma-separated values are OR.

status.gte
Any of:
string

Filter on status with the gte operator.

status.lte
Any of:
string

Filter on status with the lte operator.

status.gt
Any of:
string

Filter on status with the gt operator.

status.lt
Any of:
string

Filter on status with the lt operator.

status.in
Any of:
string

Filter on status with the in operator.

Successful Response

Media typeapplication/json
CursorPage[Invoice]
object
data
required
Data
Array<object>
Invoice
object
id
required
Id
string
period_start
required
Period Start
string format: date-time
period_end
required
Period End
string format: date-time
line_items
Line Items
Array
total_minor
required
Total Minor
integer
currency
required
Currency
string
status
required
Status
string
Allowed values: draft open paid void uncollectible
external_ref
Any of:
string
hosted_invoice_url
Any of:
string
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
next_cursor
Any of:
string
has_more
Has More
boolean
Example
{
"data": [
{
"status": "draft"
}
],
"has_more": false
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}